org.apache.myfaces.trinidad.change

## Class RemoveFacetComponentChange

- java.lang.Object
- - org.apache.myfaces.trinidad.change.ComponentChange
  - - org.apache.myfaces.trinidad.change.RemoveFacetComponentChange

- All Implemented Interfaces:
    Serializable, DocumentChange

      public class RemoveFacetComponentChange
      extends ComponentChange
      implements DocumentChange

  Change specialization for removal of a facet. While applying this Change, if there were to be a facet with the specified name, it will be removed.
  Version:
    $Name: $ ($Revision: adfrt/faces/adf-faces-api/src/main/java/oracle/adf/view/faces/change/RemoveFacetComponentChange.java#0 $) $Date: 10-nov-2005.19:10:01 $
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoveFacetComponentChange(String facetName)` Constructs a RemoveFacetChange with the specified name of the facet.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `changeComponent(javax.faces.component.UIComponent uiComponent)` Apply this change to the specied component
    `void` | `changeDocument(Node componentNode)` Apply this change to the specied root DOM Node of the component
    `String` | `getFacetName()` Returns the name of facet that needs to be removed.
    `boolean` | `getForcesDocumentReload()` Returns true if adding the DocumentChange should force the JSP Document to reload

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoveFacetComponentChange

          public RemoveFacetComponentChange(String facetName)

      Constructs a RemoveFacetChange with the specified name of the facet.
      Parameters:
        `facetName` - The name of facet that needs to be removed.
      Throws:
        `IllegalArgumentException` - if specified facetName is `null`.

  - ### Method Detail

    - #### getFacetName

          public String getFacetName()

      Returns the name of facet that needs to be removed.

    - #### changeComponent

          public void changeComponent(javax.faces.component.UIComponent uiComponent)

      Apply this change to the specied component
      Specified by:
        `changeComponent` in class `ComponentChange`
      Parameters:
        `uiComponent` - the UIComponent to apply the change to

    - #### changeDocument

          public void changeDocument(Node componentNode)

      Apply this change to the specied root DOM Node of the component
      Specified by:
        `changeDocument` in interface `DocumentChange`
      Parameters:
        `componentNode` - DOM node of the component to apply the change to

    - #### getForcesDocumentReload

          public boolean getForcesDocumentReload()

      Returns true if adding the DocumentChange should force the JSP Document to reload
      Specified by:
        `getForcesDocumentReload` in interface `DocumentChange`

Copyright © 2001-2016 The Apache Software Foundation. All Rights Reserved.